# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`logrotate`](#logrotate)
* [`logrotate::config`](#logrotateconfig): logrotate config
* [`logrotate::defaults`](#logrotatedefaults): apply defaults
* [`logrotate::hourly`](#logrotatehourly): Internal: Configure a host for hourly logrotate jobs.  ensure - The desired state of hourly logrotate support.  Valid values are          'ab
* [`logrotate::install`](#logrotateinstall): make sure logrotate is installed
* [`logrotate::params`](#logrotateparams): == Class: logrotate::params  Params class for logrotate module
* [`logrotate::rules`](#logrotaterules): apply user-defined rules

### Defined types

* [`logrotate::conf`](#logrotateconf): Internal: Install and configure logrotate defaults file, usually   /etc/logrotate.conf  see logrotate::Conf for description of options.  Exam
* [`logrotate::cron`](#logrotatecron)
* [`logrotate::rule`](#logrotaterule): Public: Configure logrotate to rotate a logfile.  namevar         - The String name of the rule. path            - The path String to the log

### Data types

* [`Logrotate::Commands`](#logrotatecommands)
* [`Logrotate::Every`](#logrotateevery)
* [`Logrotate::Path`](#logrotatepath)
* [`Logrotate::Size`](#logrotatesize)

## Classes

### <a name="logrotate"></a>`logrotate`

The logrotate class.

#### Parameters

The following parameters are available in the `logrotate` class:

* [`ensure`](#ensure)
* [`hieramerge`](#hieramerge)
* [`manage_cron_daily`](#manage_cron_daily)
* [`manage_cron_hourly`](#manage_cron_hourly)
* [`ensure_cron_daily`](#ensure_cron_daily)
* [`ensure_cron_hourly`](#ensure_cron_hourly)
* [`create_base_rules`](#create_base_rules)
* [`purge_configdir`](#purge_configdir)
* [`package`](#package)
* [`rules`](#rules)
* [`config`](#config)
* [`cron_daily_hour`](#cron_daily_hour)
* [`cron_daily_minute`](#cron_daily_minute)
* [`cron_hourly_minute`](#cron_hourly_minute)
* [`cron_file_mode`](#cron_file_mode)
* [`configdir`](#configdir)
* [`logrotate_bin`](#logrotate_bin)
* [`logrotate_conf`](#logrotate_conf)
* [`logrotate_conf_mode`](#logrotate_conf_mode)
* [`manage_package`](#manage_package)
* [`rules_configdir`](#rules_configdir)
* [`rules_configdir_mode`](#rules_configdir_mode)
* [`root_user`](#root_user)
* [`root_group`](#root_group)
* [`logrotate_args`](#logrotate_args)
* [`cron_always_output`](#cron_always_output)

##### <a name="ensure"></a>`ensure`

Data type: `String`



Default value: `present`

##### <a name="hieramerge"></a>`hieramerge`

Data type: `Boolean`



Default value: ``false``

##### <a name="manage_cron_daily"></a>`manage_cron_daily`

Data type: `Boolean`



Default value: ``true``

##### <a name="manage_cron_hourly"></a>`manage_cron_hourly`

Data type: `Boolean`



Default value: ``true``

##### <a name="ensure_cron_daily"></a>`ensure_cron_daily`

Data type: `Enum[present,absent]`



Default value: `'present'`

##### <a name="ensure_cron_hourly"></a>`ensure_cron_hourly`

Data type: `Enum[present,absent]`



Default value: `'present'`

##### <a name="create_base_rules"></a>`create_base_rules`

Data type: `Boolean`



Default value: ``true``

##### <a name="purge_configdir"></a>`purge_configdir`

Data type: `Boolean`



Default value: ``false``

##### <a name="package"></a>`package`

Data type: `String`



Default value: `'logrotate'`

##### <a name="rules"></a>`rules`

Data type: `Hash`



Default value: `{}`

##### <a name="config"></a>`config`

Data type: `Optional[Hash]`



Default value: ``undef``

##### <a name="cron_daily_hour"></a>`cron_daily_hour`

Data type: `Integer[0,23]`



Default value: `$logrotate::params::cron_daily_hour`

##### <a name="cron_daily_minute"></a>`cron_daily_minute`

Data type: `Integer[0,59]`



Default value: `$logrotate::params::cron_daily_minute`

##### <a name="cron_hourly_minute"></a>`cron_hourly_minute`

Data type: `Integer[0,59]`



Default value: `$logrotate::params::cron_hourly_minute`

##### <a name="cron_file_mode"></a>`cron_file_mode`

Data type: `Stdlib::Filemode`



Default value: `$logrotate::params::cron_file_mode`

##### <a name="configdir"></a>`configdir`

Data type: `String`



Default value: `$logrotate::params::configdir`

##### <a name="logrotate_bin"></a>`logrotate_bin`

Data type: `String`



Default value: `$logrotate::params::logrotate_bin`

##### <a name="logrotate_conf"></a>`logrotate_conf`

Data type: `String`



Default value: `$logrotate::params::logrotate_conf`

##### <a name="logrotate_conf_mode"></a>`logrotate_conf_mode`

Data type: `Stdlib::Filemode`



Default value: `$logrotate::params::logrotate_conf_mode`

##### <a name="manage_package"></a>`manage_package`

Data type: `Boolean`



Default value: `$logrotate::params::manage_package`

##### <a name="rules_configdir"></a>`rules_configdir`

Data type: `String`



Default value: `$logrotate::params::rules_configdir`

##### <a name="rules_configdir_mode"></a>`rules_configdir_mode`

Data type: `Stdlib::Filemode`



Default value: `$logrotate::params::rules_configdir_mode`

##### <a name="root_user"></a>`root_user`

Data type: `String`



Default value: `$logrotate::params::root_user`

##### <a name="root_group"></a>`root_group`

Data type: `String`



Default value: `$logrotate::params::root_group`

##### <a name="logrotate_args"></a>`logrotate_args`

Data type: `Array[String[1]]`



Default value: `[]`

##### <a name="cron_always_output"></a>`cron_always_output`

Data type: `Boolean`



Default value: ``false``

### <a name="logrotateconfig"></a>`logrotate::config`

logrotate config

### <a name="logrotatedefaults"></a>`logrotate::defaults`

apply defaults

#### Parameters

The following parameters are available in the `logrotate::defaults` class:

* [`create_base_rules`](#create_base_rules)
* [`rules`](#rules)
* [`rule_default`](#rule_default)

##### <a name="create_base_rules"></a>`create_base_rules`

Data type: `Any`



Default value: `$logrotate::create_base_rules`

##### <a name="rules"></a>`rules`

Data type: `Any`



Default value: `$logrotate::params::base_rules`

##### <a name="rule_default"></a>`rule_default`

Data type: `Any`



Default value: `$logrotate::params::rule_default`

### <a name="logrotatehourly"></a>`logrotate::hourly`

Internal: Configure a host for hourly logrotate jobs.

ensure - The desired state of hourly logrotate support.  Valid values are
         'absent' and 'present' (default: 'present').

Examples

  # Set up hourly logrotate jobs
  class { 'logrotate':
    manage_cron_hourly => true,
  }

  # Remove hourly logrotate job support
  class { 'logrotate':
    manage_cron_hourly => true,
    ensure_cron_hourly => absent,
  }

### <a name="logrotateinstall"></a>`logrotate::install`

make sure logrotate is installed

### <a name="logrotateparams"></a>`logrotate::params`

== Class: logrotate::params

Params class for logrotate module

### <a name="logrotaterules"></a>`logrotate::rules`

apply user-defined rules

#### Parameters

The following parameters are available in the `logrotate::rules` class:

* [`rules`](#rules)

##### <a name="rules"></a>`rules`

Data type: `Any`



Default value: `$logrotate::rules`

## Defined types

### <a name="logrotateconf"></a>`logrotate::conf`

Internal: Install and configure logrotate defaults file, usually
  /etc/logrotate.conf

see logrotate::Conf for description of options.

Examples

  logrotate::conf{'/etc/logrotate.conf':}

#### Parameters

The following parameters are available in the `logrotate::conf` defined type:

* [`path`](#path)
* [`ensure`](#ensure)
* [`compress`](#compress)
* [`compresscmd`](#compresscmd)
* [`compressext`](#compressext)
* [`compressoptions`](#compressoptions)
* [`copy`](#copy)
* [`copytruncate`](#copytruncate)
* [`create`](#create)
* [`create_mode`](#create_mode)
* [`create_owner`](#create_owner)
* [`create_group`](#create_group)
* [`dateext`](#dateext)
* [`dateformat`](#dateformat)
* [`dateyesterday`](#dateyesterday)
* [`delaycompress`](#delaycompress)
* [`extension`](#extension)
* [`ifempty`](#ifempty)
* [`mail`](#mail)
* [`mail_when`](#mail_when)
* [`maxage`](#maxage)
* [`minsize`](#minsize)
* [`maxsize`](#maxsize)
* [`missingok`](#missingok)
* [`olddir`](#olddir)
* [`postrotate`](#postrotate)
* [`prerotate`](#prerotate)
* [`firstaction`](#firstaction)
* [`lastaction`](#lastaction)
* [`rotate`](#rotate)
* [`rotate_every`](#rotate_every)
* [`size`](#size)
* [`sharedscripts`](#sharedscripts)
* [`shred`](#shred)
* [`shredcycles`](#shredcycles)
* [`start`](#start)
* [`su`](#su)
* [`su_user`](#su_user)
* [`su_group`](#su_group)
* [`uncompresscmd`](#uncompresscmd)

##### <a name="path"></a>`path`

Data type: `Stdlib::Unixpath`



Default value: `$name`

##### <a name="ensure"></a>`ensure`

Data type: `Enum['absent','present']`



Default value: `'present'`

##### <a name="compress"></a>`compress`

Data type: `Optional[Boolean]`



Default value: ``undef``

##### <a name="compresscmd"></a>`compresscmd`

Data type: `Optional[String]`



Default value: ``undef``

##### <a name="compressext"></a>`compressext`

Data type: `Optional[String]`



Default value: ``undef``

##### <a name="compressoptions"></a>`compressoptions`

Data type: `Optional[String]`



Default value: ``undef``

##### <a name="copy"></a>`copy`

Data type: `Optional[Boolean]`



Default value: ``undef``

##### <a name="copytruncate"></a>`copytruncate`

Data type: `Optional[Boolean]`



Default value: ``undef``

##### <a name="create"></a>`create`

Data type: `Boolean`



Default value: ``true``

##### <a name="create_mode"></a>`create_mode`

Data type: `Optional[String]`



Default value: ``undef``

##### <a name="create_owner"></a>`create_owner`

Data type: `Optional[String]`



Default value: ``undef``

##### <a name="create_group"></a>`create_group`

Data type: `Optional[String]`



Default value: ``undef``

##### <a name="dateext"></a>`dateext`

Data type: `Optional[Boolean]`



Default value: ``undef``

##### <a name="dateformat"></a>`dateformat`

Data type: `Optional[String]`



Default value: ``undef``

##### <a name="dateyesterday"></a>`dateyesterday`

Data type: `Optional[Boolean]`



Default value: ``undef``

##### <a name="delaycompress"></a>`delaycompress`

Data type: `Optional[Boolean]`



Default value: ``undef``

##### <a name="extension"></a>`extension`

Data type: `Optional[String]`



Default value: ``undef``

##### <a name="ifempty"></a>`ifempty`

Data type: `Optional[Boolean]`



Default value: ``undef``

##### <a name="mail"></a>`mail`

Data type: `Optional[Variant[String,Boolean]]`



Default value: ``undef``

##### <a name="mail_when"></a>`mail_when`

Data type: `Optional[Enum['mailfirst', 'maillast']]`



Default value: ``undef``

##### <a name="maxage"></a>`maxage`

Data type: `Optional[Integer]`



Default value: ``undef``

##### <a name="minsize"></a>`minsize`

Data type: `Optional[Logrotate::Size]`



Default value: ``undef``

##### <a name="maxsize"></a>`maxsize`

Data type: `Optional[Logrotate::Size]`



Default value: ``undef``

##### <a name="missingok"></a>`missingok`

Data type: `Optional[Boolean]`



Default value: ``undef``

##### <a name="olddir"></a>`olddir`

Data type: `Optional[Variant[Boolean,String]]`



Default value: ``undef``

##### <a name="postrotate"></a>`postrotate`

Data type: `Optional[String]`



Default value: ``undef``

##### <a name="prerotate"></a>`prerotate`

Data type: `Optional[String]`



Default value: ``undef``

##### <a name="firstaction"></a>`firstaction`

Data type: `Optional[String]`



Default value: ``undef``

##### <a name="lastaction"></a>`lastaction`

Data type: `Optional[String]`



Default value: ``undef``

##### <a name="rotate"></a>`rotate`

Data type: `Integer`



Default value: `4`

##### <a name="rotate_every"></a>`rotate_every`

Data type: `Logrotate::Every`



Default value: `'weekly'`

##### <a name="size"></a>`size`

Data type: `Optional[Logrotate::Size]`



Default value: ``undef``

##### <a name="sharedscripts"></a>`sharedscripts`

Data type: `Optional[Boolean]`



Default value: ``undef``

##### <a name="shred"></a>`shred`

Data type: `Optional[Boolean]`



Default value: ``undef``

##### <a name="shredcycles"></a>`shredcycles`

Data type: `Optional[Integer]`



Default value: ``undef``

##### <a name="start"></a>`start`

Data type: `Optional[Integer]`



Default value: ``undef``

##### <a name="su"></a>`su`

Data type: `Boolean`



Default value: ``false``

##### <a name="su_user"></a>`su_user`

Data type: `String`



Default value: `'root'`

##### <a name="su_group"></a>`su_group`

Data type: `String`



Default value: `'root'`

##### <a name="uncompresscmd"></a>`uncompresscmd`

Data type: `Optional[String]`



Default value: ``undef``

### <a name="logrotatecron"></a>`logrotate::cron`

The logrotate::cron class.

#### Parameters

The following parameters are available in the `logrotate::cron` defined type:

* [`ensure`](#ensure)

##### <a name="ensure"></a>`ensure`

Data type: `Any`



Default value: `'present'`

### <a name="logrotaterule"></a>`logrotate::rule`

Public: Configure logrotate to rotate a logfile.

namevar         - The String name of the rule.
path            - The path String to the logfile(s) to be rotated.
ensure          - The desired state of the logrotate rule as a String.  Valid
                  values are 'absent' and 'present' (default: 'present').
compress        - A Boolean value specifying whether the rotated logs should
                  be compressed (optional).
compresscmd     - The command String that should be executed to compress the
                  rotated logs (optional).
compressext     - The extention String to be appended to the rotated log files
                  after they have been compressed (optional).
compressoptions - A String of command line options to be passed to the
                  compression program specified in `compresscmd` (optional).
copy            - A Boolean specifying whether logrotate should just take a
                  copy of the log file and not touch the original (optional).
copytruncate    - A Boolean specifying whether logrotate should truncate the
                  original log file after taking a copy (optional).
create          - A Boolean specifying whether logrotate should create a new
                  log file immediately after rotation (optional).
create_mode     - An octal mode String logrotate should apply to the newly
                  created log file if create => true (optional).
create_owner    - A username String that logrotate should set the owner of the
                  newly created log file to if create => true (optional).
create_group    - A String group name that logrotate should apply to the newly
                  created log file if create => true (optional).
dateext         - A Boolean specifying whether rotated log files should be
                  archived by adding a date extension rather just a number
                  (optional).
dateformat      - The format String to be used for `dateext` (optional).
                  Valid specifiers are '%Y', '%m', '%d' and '%s'.
dateyesterday   - A Boolean specifying whether to use yesterday's date instead
                  of today's date to create the `dateext` extension (optional).
delaycompress   - A Boolean specifying whether compression of the rotated
                  log file should be delayed until the next logrotate run
                  (optional).
extension       - Log files with this extension String are allowed to keep it
                  after rotation (optional).
ifempty         - A Boolean specifying whether the log file should be rotated
                  even if it is empty (optional).
mail            - The email address String that logs that are about to be
                  rotated out of existence are emailed to (optional).
mailfirst       - A Boolean that when used with `mail` has logrotate email the
                  just rotated file rather than the about to expire file
                  (optional).
maillast        - A Boolean that when used with `mail` has logrotate email the
                  about to expire file rather than the just rotated file
                  (optional).
maxage          - The Integer maximum number of days that a rotated log file
                  can stay on the system (optional).
minsize         - The String minimum size a log file must be to be rotated,
                  but not before the scheduled rotation time (optional).
                  The default units are bytes, append k, M or G for kilobytes,
                  megabytes and gigabytes respectively.
maxsize         - The String maximum size a log file may be to be rotated;
                  When maxsize is used, both the size and timestamp of a log
                  file are considered for rotation.
                  The default units are bytes, append k, M or G for kilobytes,
                  megabytes and gigabytes respectively.
missingok       - A Boolean specifying whether logrotate should ignore missing
                  log files or issue an error (optional).
olddir          - A String path to a directory that rotated logs should be
                  moved to (optional).
postrotate      - A command String or an Array of Strings that should be
                  executed by /bin/sh after the log file is rotated
                  optional).
prerotate       - A command String or an Array of Strings that should be
                  executed by /bin/sh before the log file is rotated and
                  only if it will be rotated (optional).
firstaction     - A command String or an Array of Strings that should be
                  executed by /bin/sh once before all log files that match
                  the wildcard pattern are rotated (optional).
lastaction      - A command String or an Array of Strings that should be
                  executed by /bin/sh once after all the log files that match
                  the wildcard pattern are rotated (optional).
rotate          - The Integer number of rotated log files to keep on disk
                  (optional).
rotate_every    - How often the log files should be rotated as a String.
                  Valid values are 'day', 'week', 'month' and 'year'
                  (optional).
size            - The String size a log file has to reach before it will be
                  rotated (optional).  The default units are bytes, append k,
                  M or G for kilobytes, megabytes or gigabytes respectively.
sharedscripts   - A Boolean specifying whether logrotate should run the
                  postrotate and prerotate scripts for each matching file or
                  just once (optional).
shred           - A Boolean specifying whether logs should be deleted with
                  shred instead of unlink (optional).
shredcycles     - The Integer number of times shred should overwrite log files
                  before unlinking them (optional).
start           - The Integer number to be used as the base for the extensions
                  appended to the rotated log files (optional).
su              - A Boolean specifying whether logrotate should rotate under
                  the specific su_user and su_group instead of the default.
                  First available in logrotate 3.8.0.
su_user         - A String username that logrotate should use to rotate a
                  log file set instead of using the default if
                  su => true (optional)
su_group        - A String group name that logrotate should use to rotate a
                  log file set instead of using the default if
                  su => true (optional).
uncompresscmd   - The String command to be used to uncompress log files
                  (optional).
custom_cfg      - Array of custom lines to be appended to the rules

Examples

  # Rotate /var/log/syslog daily and keep 7 days worth of compressed logs.
  logrotate::rule { 'messages':
    path         => '/var/log/messages',
    copytruncate => true,
    missingok    => true,
    rotate_every => 'day',
    rotate       => 7,
    compress     => true,
    ifempty      => true,
  }

  # Rotate /var/log/nginx/access_log weekly and keep 3 weeks of logs
  logrotate::rule { 'nginx_access_log':
    path         => '/var/log/nginx/access_log',
    missingok    => true,
    rotate_every => 'week',
    rotate       => 3,
    postrotate   => '/etc/init.d/nginx restart',
  }

#### Parameters

The following parameters are available in the `logrotate::rule` defined type:

* [`rulename`](#rulename)
* [`ensure`](#ensure)
* [`custom_cfg`](#custom_cfg)
* [`path`](#path)
* [`compress`](#compress)
* [`compresscmd`](#compresscmd)
* [`compressext`](#compressext)
* [`compressoptions`](#compressoptions)
* [`copy`](#copy)
* [`copytruncate`](#copytruncate)
* [`create`](#create)
* [`create_mode`](#create_mode)
* [`create_owner`](#create_owner)
* [`create_group`](#create_group)
* [`dateext`](#dateext)
* [`dateformat`](#dateformat)
* [`dateyesterday`](#dateyesterday)
* [`delaycompress`](#delaycompress)
* [`extension`](#extension)
* [`ifempty`](#ifempty)
* [`mail`](#mail)
* [`mail_when`](#mail_when)
* [`maxage`](#maxage)
* [`minsize`](#minsize)
* [`maxsize`](#maxsize)
* [`missingok`](#missingok)
* [`olddir`](#olddir)
* [`postrotate`](#postrotate)
* [`prerotate`](#prerotate)
* [`firstaction`](#firstaction)
* [`lastaction`](#lastaction)
* [`rotate`](#rotate)
* [`rotate_every`](#rotate_every)
* [`size`](#size)
* [`sharedscripts`](#sharedscripts)
* [`shred`](#shred)
* [`shredcycles`](#shredcycles)
* [`start`](#start)
* [`su`](#su)
* [`su_user`](#su_user)
* [`su_group`](#su_group)
* [`uncompresscmd`](#uncompresscmd)

##### <a name="rulename"></a>`rulename`

Data type: `Pattern[/^[a-zA-Z0-9\._-]+$/]`



Default value: `$title`

##### <a name="ensure"></a>`ensure`

Data type: `Enum['present','absent']`



Default value: `'present'`

##### <a name="custom_cfg"></a>`custom_cfg`

Data type: `Array[String[1]]`



Default value: `[]`

##### <a name="path"></a>`path`

Data type: `Optional[Logrotate::Path]`



Default value: ``undef``

##### <a name="compress"></a>`compress`

Data type: `Optional[Boolean]`



Default value: ``undef``

##### <a name="compresscmd"></a>`compresscmd`

Data type: `Optional[String]`



Default value: ``undef``

##### <a name="compressext"></a>`compressext`

Data type: `Optional[String]`



Default value: ``undef``

##### <a name="compressoptions"></a>`compressoptions`

Data type: `Optional[String]`



Default value: ``undef``

##### <a name="copy"></a>`copy`

Data type: `Optional[Boolean]`



Default value: ``undef``

##### <a name="copytruncate"></a>`copytruncate`

Data type: `Optional[Boolean]`



Default value: ``undef``

##### <a name="create"></a>`create`

Data type: `Optional[Boolean]`



Default value: ``undef``

##### <a name="create_mode"></a>`create_mode`

Data type: `Optional[String]`



Default value: ``undef``

##### <a name="create_owner"></a>`create_owner`

Data type: `Optional[String]`



Default value: ``undef``

##### <a name="create_group"></a>`create_group`

Data type: `Optional[String]`



Default value: ``undef``

##### <a name="dateext"></a>`dateext`

Data type: `Optional[Boolean]`



Default value: ``undef``

##### <a name="dateformat"></a>`dateformat`

Data type: `Optional[String]`



Default value: ``undef``

##### <a name="dateyesterday"></a>`dateyesterday`

Data type: `Optional[Boolean]`



Default value: ``undef``

##### <a name="delaycompress"></a>`delaycompress`

Data type: `Optional[Boolean]`



Default value: ``undef``

##### <a name="extension"></a>`extension`

Data type: `Optional[String]`



Default value: ``undef``

##### <a name="ifempty"></a>`ifempty`

Data type: `Optional[Boolean]`



Default value: ``undef``

##### <a name="mail"></a>`mail`

Data type: `Optional[Variant[String,Boolean]]`



Default value: ``undef``

##### <a name="mail_when"></a>`mail_when`

Data type: `Optional[Enum['mailfirst','maillast']]`



Default value: ``undef``

##### <a name="maxage"></a>`maxage`

Data type: `Optional[Integer]`



Default value: ``undef``

##### <a name="minsize"></a>`minsize`

Data type: `Optional[Logrotate::Size]`



Default value: ``undef``

##### <a name="maxsize"></a>`maxsize`

Data type: `Optional[Logrotate::Size]`



Default value: ``undef``

##### <a name="missingok"></a>`missingok`

Data type: `Optional[Boolean]`



Default value: ``undef``

##### <a name="olddir"></a>`olddir`

Data type: `Optional[Variant[Boolean,String]]`



Default value: ``undef``

##### <a name="postrotate"></a>`postrotate`

Data type: `Optional[Logrotate::Commands]`



Default value: ``undef``

##### <a name="prerotate"></a>`prerotate`

Data type: `Optional[Logrotate::Commands]`



Default value: ``undef``

##### <a name="firstaction"></a>`firstaction`

Data type: `Optional[Logrotate::Commands]`



Default value: ``undef``

##### <a name="lastaction"></a>`lastaction`

Data type: `Optional[Logrotate::Commands]`



Default value: ``undef``

##### <a name="rotate"></a>`rotate`

Data type: `Optional[Integer]`



Default value: ``undef``

##### <a name="rotate_every"></a>`rotate_every`

Data type: `Optional[Logrotate::Every]`



Default value: ``undef``

##### <a name="size"></a>`size`

Data type: `Optional[Logrotate::Size]`



Default value: ``undef``

##### <a name="sharedscripts"></a>`sharedscripts`

Data type: `Optional[Boolean]`



Default value: ``undef``

##### <a name="shred"></a>`shred`

Data type: `Optional[Boolean]`



Default value: ``undef``

##### <a name="shredcycles"></a>`shredcycles`

Data type: `Optional[Integer]`



Default value: ``undef``

##### <a name="start"></a>`start`

Data type: `Optional[Integer]`



Default value: ``undef``

##### <a name="su"></a>`su`

Data type: `Boolean`



Default value: ``false``

##### <a name="su_user"></a>`su_user`

Data type: `String`



Default value: `'root'`

##### <a name="su_group"></a>`su_group`

Data type: `String`



Default value: `'root'`

##### <a name="uncompresscmd"></a>`uncompresscmd`

Data type: `Optional[String]`



Default value: ``undef``

## Data types

### <a name="logrotatecommands"></a>`Logrotate::Commands`

The Logrotate::Commands data type.

Alias of

```puppet
Variant[String, Array[String]]
```

### <a name="logrotateevery"></a>`Logrotate::Every`

The Logrotate::Every data type.

Alias of

```puppet
Pattern['^hour(|ly)$', '^da(|il)y$', '^week(|ly)$', '^month(|ly)$', '^year(|ly)$']
```

### <a name="logrotatepath"></a>`Logrotate::Path`

The Logrotate::Path data type.

Alias of

```puppet
Variant[Stdlib::UnixPath, Array[Stdlib::UnixPath]]
```

### <a name="logrotatesize"></a>`Logrotate::Size`

The Logrotate::Size data type.

Alias of

```puppet
Variant[Integer, Pattern[/^\d+[kMG]?$/]]
```

